package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.Dzgzzb;

/**
 * 地质构造总Service接口
 * 
 * @author
 * @date 2025-07-08
 */
public interface IDzgzzbService 
{
    /**
     * 查询地质构造总
     * 
     * @param id 地质构造总主键
     * @return 地质构造总
     */
    public Dzgzzb selectDzgzzbById(Long id);

    /**
     * 查询地质构造总列表
     * 
     * @param dzgzzb 地质构造总
     * @return 地质构造总集合
     */
    public List<Dzgzzb> selectDzgzzbList(Dzgzzb dzgzzb);

    /**
     * 新增地质构造总
     * 
     * @param dzgzzb 地质构造总
     * @return 结果
     */
    public int insertDzgzzb(Dzgzzb dzgzzb);

    /**
     * 修改地质构造总
     * 
     * @param dzgzzb 地质构造总
     * @return 结果
     */
    public int updateDzgzzb(Dzgzzb dzgzzb);

    /**
     * 批量删除地质构造总
     * 
     * @param ids 需要删除的地质构造总主键集合
     * @return 结果
     */
    public int deleteDzgzzbByIds(Long[] ids);

    /**
     * 删除地质构造总信息
     * 
     * @param id 地质构造总主键
     * @return 结果
     */
    public int deleteDzgzzbById(Long id);
}
